# Poco::Net

# class MultipartException

Library: Net
Package: NetCore
Header: Poco/Net/NetException.h

## Inheritance

Direct Base Classes: MessageException

All Base Classes: Poco::Exception, Poco::IOException, MessageException, NetException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### MultipartException

MultipartException(
int code = 0
);

### MultipartException

MultipartException(
const MultipartException & exc
);

### MultipartException

MultipartException(
const std::string & msg,
int code = 0
);

### MultipartException

MultipartException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### MultipartException

MultipartException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~MultipartException

~MultipartException();

## Member Functions

### className

const char * className() const;

See also: Poco::Net::MessageException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const;

See also: Poco::Net::MessageException::name()

### operator =

MultipartException & operator = (
const MultipartException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Net::MessageException::rethrow()